# $Revision: 1.140 $, $Date: 2012/03/30 13:43:57 $
%define		basever	3.4
Summary:	Collection of extensions for Epiphany
Summary(pl.UTF-8):	Zbiór rozszerzeń dla Epiphany
Name:		epiphany-extensions
Version:	3.4.0
Release:	1
License:	GPL v2
Group:		X11/Applications/Networking
Source0:	http://ftp.gnome.org/pub/GNOME/sources/epiphany-extensions/3.4/%{name}-%{version}.tar.xz
# Source0-md5:	84eb15907ceb410030b00aacb6e5ff35
URL:		http://www.gnome.org/projects/epiphany/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	dbus-devel >= 0.34
BuildRequires:	dbus-glib-devel >= 0.73
BuildRequires:	docbook-dtd412-xml
BuildRequires:	epiphany-devel >= 3.4.0
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.26.0
BuildRequires:	gnome-common >= 2.24.0
BuildRequires:	gnome-doc-utils
BuildRequires:	gtk+3-devel >= 3.0.0
BuildRequires:	gtk-webkit3-devel
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 1:2.6.28
BuildRequires:	opensp-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.592
Requires(post,postun):	glib2 >= 1:2.26.0
Requires(post,postun):	scrollkeeper
Requires:	epiphany >= 3.4.0
Provides:	epiphany-plugins
Obsoletes:	epiphany-plugins <= 0.1.2
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Epiphany Extensions is a collection of extensions for Epiphany.

%description -l pl.UTF-8
Epiphany Extensions jest zbiorem rozszerzeń dla Epiphany.

%prep
%setup -q

%build
%{__intltoolize}
%{__libtoolize}
%{__intltoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure \
	--disable-silent-rules \
	--disable-scrollkeeper
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/epiphany/%{basever}/extensions/*.la

%find_lang %{name} --with-gnome --with-omf --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas
%scrollkeeper_update_post

%postun
%glib_compile_schemas
%scrollkeeper_update_postun

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/ui
%{_datadir}/glib-2.0/schemas/org.gnome.epiphanyextensions.gschema.xml
%{_datadir}/epiphany/icons

%attr(755,root,root) %{_libdir}/epiphany/%{basever}/extensions/libactionsextension.so
%{_libdir}/epiphany/%{basever}/extensions/actions.ephy-extension
%{_datadir}/%{name}/ui/action-properties.ui
%{_datadir}/%{name}/ui/actions-editor.ui

%attr(755,root,root) %{_libdir}/epiphany/%{basever}/extensions/libadblockextension.so
%{_libdir}/epiphany/%{basever}/extensions/adblock.ephy-extension
%{_datadir}/%{name}/ui/adblock.ui

%attr(755,root,root) %{_libdir}/epiphany/%{basever}/extensions/libautoreloadextension.so
%{_libdir}/epiphany/%{basever}/extensions/auto-reload.ephy-extension

%attr(755,root,root) %{_libdir}/epiphany/%{basever}/extensions/libextensionsmanageruiextension.so
%{_libdir}/epiphany/%{basever}/extensions/extensions-manager-ui.ephy-extension
%{_datadir}/%{name}/ui/extensions-manager-ui.ui

%attr(755,root,root) %{_libdir}/epiphany/%{basever}/extensions/libgesturesextension.so
%{_libdir}/epiphany/%{basever}/extensions/gestures.ephy-extension
%{_datadir}/%{name}/ephy-gestures.xml

%attr(755,root,root) %{_libdir}/epiphany/%{basever}/extensions/libgreasemonkeyextension.so
%{_libdir}/epiphany/%{basever}/extensions/greasemonkey.ephy-extension

%attr(755,root,root) %{_libdir}/epiphany/%{basever}/extensions/libhtml5tubeextension.so
%{_libdir}/epiphany/%{basever}/extensions/html5tube.ephy-extension

%attr(755,root,root) %{_libdir}/epiphany/%{basever}/extensions/libpushscrollerextension.so
%{_libdir}/epiphany/%{basever}/extensions/push-scroller.ephy-extension

%attr(755,root,root) %{_libdir}/epiphany/%{basever}/extensions/librssextension.so
%{_libdir}/epiphany/%{basever}/extensions/rss.ephy-extension
%{_datadir}/%{name}/ui/rss-ui.ui

%attr(755,root,root) %{_libdir}/epiphany/%{basever}/extensions/libsoupflyextension.so
%{_libdir}/epiphany/%{basever}/extensions/soup-fly.ephy-extension

%attr(755,root,root) %{_libdir}/epiphany/%{basever}/extensions/libtabkeytabnavigateextension.so
%{_libdir}/epiphany/%{basever}/extensions/tab-key-tab-navigate.ephy-extension

%attr(755,root,root) %{_libdir}/epiphany/%{basever}/extensions/libtabstatesextension.so
%{_libdir}/epiphany/%{basever}/extensions/tab-states.ephy-extension

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: epiphany-extensions.spec,v $
Revision 1.140  2012/03/30 13:43:57  megabajt
- there is no need to use %requires_eq_to

Revision 1.139  2012/03/30 13:39:51  megabajt
- updated to 3.4.0

Revision 1.138  2012/02/14 08:43:15  lisu
- rel 2

Revision 1.137  2011/10/14 10:07:38  wiget
- up to 3.2.0
- verbose %files

Revision 1.136  2011/05/20 23:39:37  megabajt
- release 3

Revision 1.135  2011/05/05 14:06:14  megabajt
- release 2

Revision 1.134  2011/04/11 21:24:12  megabajt
- updated to 3.0.0

Revision 1.133  2010/11/14 15:24:18  sls
- ver. 2.32.0

Revision 1.132  2010/05/14 14:19:10  megabajt
- updated to 2.30.1

Revision 1.131  2010/04/13 12:27:08  baggins
- basever/API is 2.29

Revision 1.130  2010/04/13 12:19:03  baggins
- fexd basever

Revision 1.129  2010/04/13 12:15:51  baggins
- 2.30.0

Revision 1.128  2010/01/09 17:03:02  sparky
- BR: docbook-dtd412-xml, gettext-devel

Revision 1.127  2010/01/09 14:24:16  arekm
- release 3

Revision 1.126  2009/12/17 23:50:57  megabajt
- release 2

Revision 1.125  2009/10/25 12:43:26  megabajt
- updated to 2.28.1
- removed obsolete -libxul.patch

Revision 1.124  2009/10/17 00:23:07  wrobell
- rel. 2

Revision 1.123  2009/10/17 00:20:46  wrobell
- fixed base version

Revision 1.122  2009/10/16 23:52:41  wrobell
- ver. 2.28.0

Revision 1.121  2009/09/10 12:18:59  baggins
- rel 6

Revision 1.120  2009/08/05 16:09:36  arekm
- release 5

Revision 1.119  2009/07/19 15:05:48  arekm
- release 4

Revision 1.118  2009/05/06 20:29:33  megabajt
- release 3

Revision 1.117  2009/04/24 11:34:56  megabajt
- release 2

Revision 1.116  2009/04/13 22:53:07  megabajt
- updated to 2.26.1

Revision 1.115  2009/03/21 18:31:12  megabajt
- updated to 2.26.0
- removed obsolete -engine-check.patch

Revision 1.114  2009/03/06 08:50:42  arekm
- release 3

Revision 1.113  2009/02/13 10:26:33  megabajt
- added -engine-check.patch
- release 2

Revision 1.112  2009/02/08 12:59:56  megabajt
- updated to 2.24.3

Revision 1.111  2008/12/22 19:27:18  wrobell
- rel. 4 to rebuild with xulrunner 1.9.0.5

Revision 1.110  2008/11/28 15:08:25  megabajt
- release 3

Revision 1.109  2008/11/13 17:57:44  arekm
- release 2

Revision 1.108  2008/10/23 13:08:31  megabajt
- updated to 2.24.1

Revision 1.107  2008/10/06 13:24:33  megabajt
- updated to 2.24.0

Revision 1.106  2008/09/30 10:25:46  hawk
- release 5

Revision 1.105  2008/07/23 15:17:15  hawk
- release 4

Revision 1.104  2008/07/08 12:09:27  megabajt
- added -libxul.patch to fix build with xulrunner 1.9
- release 3

Revision 1.103  2008-06-01 17:25:09  megabajt
- release 2

Revision 1.102  2008-05-31 20:45:36  adamg
- updated to 2.22.2

Revision 1.101  2008-04-26 21:32:47  megabajt
- release 4

Revision 1.100  2008-04-09 11:16:25  baggins
- rel 3

Revision 1.99  2008-03-27 21:05:02  hawk
- release 2 (xulrunner 1.8.1.13)

Revision 1.98  2008-03-12 22:03:37  patrys
- 2.22.0

Revision 1.97  2008-02-08 19:50:00  hawk
- release 3 (xulrunner 1.8.1.12)

Revision 1.96  2008-01-22 21:05:52  hawk
- release 2

Revision 1.95  2008-01-09 20:52:46  megabajt
- updated to 2.20.3

Revision 1.94  2007-12-02 12:38:33  hawk
- release 6 (xulrunner 1.8.1.11)

Revision 1.93  2007-11-27 20:04:21  qboosh
- updated find_lang BR, sed usage fix

Revision 1.92  2007-11-27 20:02:27  megabajt
- release 5 (xulrunner 1.8.1.10)

Revision 1.91  2007-11-10 14:47:11  megabajt
- use better way to fix locale name
- use --with-omf
- release 4

Revision 1.90  2007/11/04 17:06:48  ankry
- sr@Latn -> sr@latin, rel. 3

Revision 1.89  2007/10/22 19:31:59  megabajt
- release 2 (xulrunner 1.8.1.8)

Revision 1.88  2007/10/16 18:44:26  megabajt
- updated to 2.20.1

Revision 1.87  2007/09/22 08:25:29  megabajt
- release 2 (xulrunner 1.8.1.7)

Revision 1.86  2007/09/20 12:49:02  patrys
- 2.20.0

Revision 1.85  2007/09/15 21:22:48  wiget
- release 3

Revision 1.84  2007/08/04 19:15:57  wrobell
- rel. 2 to rebuild with xulrunner 1.8.1.6-1.20070731.1

Revision 1.83  2007/07/26 22:01:44  megabajt
- updated to 2.18.3

Revision 1.82  2007/07/18 16:59:27  hawk
- release 3 (xulrunner 1.8.1.5)

Revision 1.81  2007/06/02 18:16:18  megabajt
- release 2 (rebuild with xulrunner 1.8.1.4)

Revision 1.80  2007/05/29 18:17:25  megabajt
- updated to 2.18.2

Revision 1.79  2007/05/16 09:35:36  wrobell
- fixed requires

Revision 1.78  2007/04/09 18:03:25  megabajt
- updated to 2.18.1

Revision 1.77  2007/03/23 17:52:17  megabajt
- release 2 to rebuild with xulrunner 1.8.1.3

Revision 1.76  2007/03/12 17:04:37  megabajt
- updated to 2.18.0

Revision 1.75  2007/03/09 19:28:03  megabajt
- updated to 2.17.92

Revision 1.74  2007/02/26 14:43:01  wrobell
- rel. 3 to rebuild with new xulrunner

Revision 1.73  2007/02/23 20:21:50  megabajt
- use %requires_eq_to macro
- release 2 to rebuild with new epiphany

Revision 1.72  2007/02/12 21:23:54  glen
- tabs in preamble

Revision 1.71  2007/02/12 00:48:48  baggins
- converted to UTF-8

Revision 1.70  2007/01/25 13:19:35  hawk
- firefox devel is no longer provided, build with xulrunner

Revision 1.69  2006/12/08 15:00:36  glen
- depend on mozilla-firefox-libs

Revision 1.68  2006/10/04 20:27:59  grzegol
- 2.16.1

Revision 1.67  2006/09/09 12:54:31  grzegol
- 2.16.0

Revision 1.66  2006/08/27 15:24:24  havner
- rel 3

Revision 1.65  2006/08/23 21:20:35  grzegol
- package all extensions (also l*.ephy-extension)

Revision 1.64  2006/08/22 19:32:53  freetz
- rel.2, rebuild with ephy 2.15.92, updated deps

Revision 1.63  2006/08/10 16:18:12  freetz
- 2.15.2, updated deps

Revision 1.62  2006/08/01 15:50:22  freetz
- rel.4 (new firefox)

Revision 1.61  2006/07/17 16:53:11  freetz
- rel.3, updated deps, --as-needed support

Revision 1.60  2006/06/11 09:21:05  freetz
- rel.2 for rebuild with ephy 2.15.3

Revision 1.59  2006/06/10 21:22:03  freetz
- 2.15.1, GNOME 2.15.x deps, mozilla 1.7 support dropped upstream (bcond
  removed)

Revision 1.58  2006/05/27 08:58:52  qboosh
- merged update to 2.14.1.1 from AC-branch
- automake epoch

Revision 1.47.2.4  2006/05/19 19:51:44  freetz
- rel.2, (previous one catched ephy 2.14.1 dependency), force equal
  epiphany version in BR, STBR

Revision 1.47.2.3  2006/05/19 15:33:08  freetz
- 2.14.1.1

Revision 1.57  2006/05/17 15:02:33  qboosh
- GNOME 2.14 deps (merged from AC-branch)

Revision 1.56  2006/05/05 15:01:40  wrobell
- rel. 3 to rebuild with mozilla firefox 1.5.0.3

Revision 1.55  2006/04/17 16:30:02  wrobell
- build with firefox by default
- rel. 2

Revision 1.54  2006/04/13 07:19:35  qboosh
- missing dir, typo

Revision 1.53  2006/04/12 17:02:08  freetz
- enable really all extensions, updated build requirement

Revision 1.52  2006/04/12 16:53:03  freetz
- hopefully last merge breakage - md5 fixed

Revision 1.51  2006/04/12 16:47:00  freetz
- fixed source0

Revision 1.50  2006/04/12 16:44:07  freetz
- post merge restore

Revision 1.49  2006/04/12 16:36:00  freetz
- merged from DEVEL

Revision 1.42.2.5  2006/04/12 16:34:21  freetz
- 2.14.1, added scrollkeeper documentation and (un)registration, updated
  file list and BR

Revision 1.42.2.4  2006/03/12 21:03:39  freetz
- 2.14.0.1, define and use basever

Revision 1.42.2.3  2006/02/14 08:56:24  freetz
- 1.9.7, removed obsoleted m4 patch

Revision 1.42.2.2  2006/02/01 18:30:19  freetz
- 1.9.6, m4 fix added

Revision 1.42.2.1  2005/10/25 21:17:36  paladine
- updated to 1.9.1
- removed mozilla_includes patch (fixed in sources)

Revision 1.48  2006/02/15 07:25:02  freetz
- release 3 for rebuild with epiphany 1.8.5

Revision 1.47  2006/02/08 17:26:22  freetz
- rel.2 for rebuild with ephy 1.8.4.1

Revision 1.46  2006/01/15 23:27:13  aredridel
- corrected changelog

Revision 1.45  2006/01/15 23:22:22  aredridel
- added BR: rpm-pythonprov

Revision 1.44  2005/11/29 20:44:12  freetz
- fixed last changlog entry

Revision 1.43  2005/11/29 20:38:56  freetz
- 1.8.2, run intltoolize

Revision 1.42  2005/10/04 09:02:11  paladine
- updated to 1.8.1

Revision 1.41  2005/09/08 12:43:38  freetz
- rel.2 (fixed lost-on-merge patches changes)

Revision 1.40  2005/09/06 18:21:43  freetz
- merged from DEVEL

Revision 1.37.2.9  2005/09/05 12:54:46  paladine
- updated to 1.8.0

Revision 1.37.2.8  2005/08/28 21:35:22  paladine
- disable adblock (epiphany craches on exit)
- disable net-monitor (experimental)
- disable sample extensions
- disable tabsmenu (doesn't work)
- disable greasemonkey
- rel. 2

Revision 1.37.2.7  2005/08/28 20:33:28  paladine
- updated to 1.7.5
- updated patches
- it's DEVEL, so lets enable really all extensions

Revision 1.37.2.6  2005/08/22 19:38:11  paladine
- rel. 3 for epiphany 1.7.5

Revision 1.37.2.5  2005/08/09 14:19:33  paladine
- rel. 2 for rebuild with epiphany 1.7.4

Revision 1.37.2.4  2005/08/09 10:14:03  paladine
- updated to 1.7.4

Revision 1.37.2.3  2005/07/27 11:00:09  paladine
- updated to 1.7.3
- updated locale-names patch

Revision 1.37.2.2  2005/07/26 15:35:44  wiget
- BR fixed epiphany (1.7.2-3) and python-gnome-devel

Revision 1.37.2.1  2005/07/12 12:46:13  freetz
- 1.7.2, %%files, BRs updated
